Accept or dismiss a suggestion
curl --request POST \
--url https://api.hyperspell.com/context-documents/reviews/{review_id}/suggestions/{suggestion_id}/decide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"replacement_excerpt": "<string>"
}
'import requests
url = "https://api.hyperspell.com/context-documents/reviews/{review_id}/suggestions/{suggestion_id}/decide"
payload = {
"action": "<string>",
"replacement_excerpt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', replacement_excerpt: '<string>'})
};
fetch('https://api.hyperspell.com/context-documents/reviews/{review_id}/suggestions/{suggestion_id}/decide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"review_id": 123,
"kind": "<string>",
"original_excerpt": "<string>",
"replacement_excerpt": "<string>",
"proposed_change": "<string>",
"rationale": "<string>",
"sources": [
{
"type": "<string>",
"title": "<string>",
"url": "<string>",
"chunk_id": "<string>",
"excerpt": ""
}
],
"confidence": "<string>",
"status": "<string>",
"applied": true,
"decided_by": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"ai_replacement_excerpt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Context Documents
Accept or dismiss a suggestion
POST
/
context-documents
/
reviews
/
{review_id}
/
suggestions
/
{suggestion_id}
/
decide
Accept or dismiss a suggestion
Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I